Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetStickerEmojis

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Emojis>
it.tdlight.jni.TdApi.GetStickerEmojis

Enclosing class:
  TdApi

public static final class TdApi.GetStickerEmojis extends TdApi.Function<TdApi.Emojis>
Returns emoji corresponding to a sticker. The list is only for informational purposes, because a sticker is always sent with a fixed emoji from the corresponding Sticker object.

Returns `Emojis`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.InputFile`
`sticker`
Sticker file identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetStickerEmojis()`
Returns emoji corresponding to a sticker.
`GetStickerEmojis(TdApi.InputFile sticker)`
Returns emoji corresponding to a sticker.
`GetStickerEmojis(DataInput input)`
Returns emoji corresponding to a sticker.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
Sticker file identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetStickerEmojis

public GetStickerEmojis()
Returns emoji corresponding to a sticker. The list is only for informational purposes, because a sticker is always sent with a fixed emoji from the corresponding Sticker object.

Returns `Emojis`

### GetStickerEmojis

public GetStickerEmojis(TdApi.InputFile sticker)
Returns emoji corresponding to a sticker. The list is only for informational purposes, because a sticker is always sent with a fixed emoji from the corresponding Sticker object.

Returns `Emojis`

Parameters:
  `sticker` - InputFile Sticker file identifier.

### GetStickerEmojis

public GetStickerEmojis(DataInput input) throws IOException
Returns emoji corresponding to a sticker. The list is only for informational purposes, because a sticker is always sent with a fixed emoji from the corresponding Sticker object.

Returns `Emojis`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`